local config = require('config')
local u = require('utils')

return {
  'norcalli/nvim-colorizer.lua',
  cmd = { 'ColorizerToggle' },
  config = function()
    require('colorizer').setup(u.merge({}, config.plugins.colorizer or {}))
  end,
  enabled = not vim.tbl_contains(config.disable_builtin_plugins, 'colorizer'),
}
